## gnome-shell 49~alpha.1

=== debian/changelog ===
gnome-shell (49~alpha.1-0ubuntu2) questing; urgency=medium

  * d/control: Drop dependency xserver-xorg-legacy

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 04 Aug 2025 16:02:00 +0200

gnome-shell (49~alpha.1-0ubuntu1) questing; urgency=medium

  * Merge with debian, containing a new upstream release
  * d/patches: Refresh
  * debian/rules: Update stylesheet regeneration script path
  * d/p/ubuntu-authd: Ensure that error messages are always shown on failure
  * d/p/ubuntu-authd: Fix handling of authentication switching for wait layouts
  * d/p/ubuntu-authd: Drop some delta with upstream and fix greeter buttons
  * d/p/ubuntu-authd: Move login options button to the leftmost side
  * d/p: Cleanup the yaru spinner patch

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 11 Jul 2025 06:16:31 +0200

gnome-shell (48.0-1ubuntu2) questing; urgency=medium

  * d/p/authd: Notify messages on authentication Next too

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 26 May 2025 14:46:39 +0200

=== debian/control ===
Source: gnome-shell
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
Build-Depends: appstream,
               bash-completion,
               dbus-daemon <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               gjs (>= 1.73.1),
               gir1.2-accountsservice-1.0 <!nocheck>,
               gir1.2-gcr-4-dev,
               gir1.2-gdkpixbuf-2.0-dev,
               gir1.2-gdm-1.0 <!nocheck>,
               gir1.2-geoclue-2.0 <!nocheck>,
               gir1.2-gnomebg-4.0 <!nocheck>,
               gir1.2-gnomedesktop-4.0 <!nocheck>,
               gir1.2-gweather-4.0 (>= 4.1) <!nocheck>,
               gir1.2-nma4-1.0 (>= 1.10.4) [linux-any] <!nocheck>,
               gir1.2-polkitagent-1.0-dev,
               gir1.2-rsvg-2.0 <!nocheck>,
               gir1.2-upowerglib-1.0 <!nocheck>,
               gnome-control-center-dev,
               gnome-settings-daemon-common (>= 47~rc) <!nocheck>,
               gobject-introspection (>= 1.80),
               gsettings-desktop-schemas-dev (>= 48~beta),
               gtk-doc-tools,
               libasound2-dev,
               libatk-bridge2.0-dev,
               libecal2.0-dev (>= 3.45),
               libedataserver1.2-dev (>= 3.45),
               libgcr-4-dev (>= 3.90.0),
               libgjs-dev (>= 1.73.1),
               libgl1-mesa-dri <!nocheck>,
               libglib2.0-dev (>= 2.80),
               libgnome-autoar-0-dev,
               libgnome-bluetooth-3.0-dev (>= 3.9.0) [linux-any],
               libgnome-desktop-4-dev (>= 40),
               libgnome-menu-3-dev,
               libgstreamer1.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgtk-4-dev,
               libibus-1.0-dev,
               libjson-glib-dev,
               libmutter-17-dev (>= 49~alpha.1),
               mutter-17-tests (>= 49~alpha.1) <!nocheck>,
               libnm-dev [linux-any],
               libpipewire-0.3-dev (>= 0.3.49) [linux-any],
               libpolkit-agent-1-dev,
               libpulse-dev,
               libsecret-1-dev,
               libsystemd-dev [linux-any],
               libx11-dev,
               libxfixes-dev,
               libxml2-dev,
               mesa-common-dev,
               meson (>= 1.3.0),
               mutter (>= 49~alpha.1) <!nocheck>,
               pipewire <!nocheck>,
               pkgconf,
               python3-docutils,
               sassc,
               systemd-dev [linux-any],
               terser,
               xauth <!nocheck>,
               xvfb <!nocheck>,
               xwayland <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://wiki.gnome.org/Projects/GnomeShell
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/latest
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/ubuntu/latest

Package: gnome-shell
Architecture: linux-any
Depends: gir1.2-accountsservice-1.0,
         gir1.2-adw-1,
         gir1.2-atk-1.0,
         gir1.2-atspi-2.0,
         gir1.2-gcr-4 (>= 3.90.0),
         gir1.2-gdesktopenums-3.0,
         gir1.2-gdkpixbuf-2.0,
         gir1.2-gdm-1.0 (>= 47.0-4~),
         gir1.2-geoclue-2.0,
         gir1.2-glib-2.0 (>= 2.80),
         gir1.2-gnomebg-4.0,
         gir1.2-gnomebluetooth-3.0 (>= 42.3) [linux-any],
         gir1.2-gnomedesktop-4.0 (>= 40),
         gir1.2-graphene-1.0,
         gir1.2-gstreamer-1.0,
         gir1.2-gtk-4.0,
         gir1.2-gweather-4.0 (>= 4.1),
         gir1.2-freedesktop,
         gir1.2-ibus-1.0,
         gir1.2-mutter-17 (>= 49~alpha.1),
         gir1.2-nm-1.0 [linux-any],
         gir1.2-nma4-1.0 (>= 1.10.4) [linux-any],
         gir1.2-pango-1.0,
         gir1.2-polkit-1.0,
         gir1.2-rsvg-2.0,
         gir1.2-soup-3.0,
         gir1.2-upowerglib-1.0,
         gjs (>= 1.73.1),
         gnome-control-center (>= 1:46),
         gnome-settings-daemon (>= 47~rc),
         gnome-shell-common (= ${source:Version}),
         gsettings-desktop-schemas (>= 48~beta),
         gstreamer1.0-pipewire (>= 0.3.49) [linux-any],
         libglib2.0-bin (>= 2.80),
         python3,
         tecla,
         ubuntu-wallpapers,
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: bolt,
            evolution-data-server (>= 3.45),
            gdm3,
            gnome-remote-desktop,
            gnome-menus,
            gnome-user-docs,
            ibus,
            iio-sensor-proxy,
            power-profiles-daemon,
            switcheroo-control,
            ubuntu-session | gnome-session,
            unzip
Suggests: gir1.2-malcontent-0 [linux-any],
          gir1.2-telepathyglib-0.12,
          gir1.2-telepathylogger-0.2,
          gnome-browser-connector,
          gnome-shell-extension-prefs,
Breaks: gnome-shell-extension-appindicator (<< 50),
        gnome-shell-extension-dash-to-panel (<< 55),
        gnome-shell-extension-dashtodock (<< 79),
        gnome-shell-extension-desktop-icons (<< 21.04),
        gnome-shell-extension-desktop-icons-ng (<< 46+really47.0.2-2),
        gnome-shell-extension-taskbar (<< 57.0-2.1~),
        gnome-shell-extension-top-icons-plus (<< 27-3~),
        gnome-shell-extension-workspaces-to-dock (<< 54~),
        gnome-shell-extensions (<< 40.0~),
        authd (<< 0.4.2~),
Provides: notification-daemon,
          polkit-1-auth-agent
Description: graphical shell for the GNOME desktop
 The GNOME Shell provides core interface functions like switching
 windows, launching applications or see your notifications. It takes
 advantage of the capabilities of modern graphics hardware and
 introduces innovative user interface concepts to provide a
 delightful and easy to use experience. GNOME Shell is the defining
 technology of the GNOME 3 user experience.

Package: gnome-shell-common
Architecture: all
Depends: ${misc:Depends}
Recommends: yaru-theme-gnome-shell (>= 25.04)
Description: common files for the GNOME graphical shell
 This package contains translations and data files for the GNOME shell.

Package: gnome-shell-extension-prefs
Architecture: linux-any
Depends: gir1.2-adw-1,
         gir1.2-gtk-4.0,
         gjs (>= 1.73.1),
         gnome-shell (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Provides: gnome-extensions-app
Recommends: gnome-browser-connector
Description: tool to enable / disable GNOME Shell extensions
 This package contains a tool which users who use Shell extensions can use to
 toggle them on and off, and access their preferences.

## gnome-shell 49~beta

=== debian/changelog ===
gnome-shell (49~beta-0ubuntu1) questing; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
  * d/p: Refresh patches
  * d/control: Bump build dependencies
  * d/p: Refresh, dropping applied upstream
  * d/p: Keep support being started via legacy desktop file.
    With older gnome-session this is still required.
    Drop the patches as soon as gnome-session 49 will be ready for this.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 09 Aug 2025 04:13:57 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
-               gjs (>= 1.73.1),
+               gjs (>= 1.81.2),
                gir1.2-accountsservice-1.0 <!nocheck>,
                gir1.2-gcr-4-dev,
                gir1.2-gdkpixbuf-2.0-dev,
@@ -26,14 +26,14 @@
                gnome-control-center-dev,
                gnome-settings-daemon-common (>= 47~rc) <!nocheck>,
                gobject-introspection (>= 1.80),
-               gsettings-desktop-schemas-dev (>= 48~beta),
+               gsettings-desktop-schemas-dev (>= 49~alpha),
                gtk-doc-tools,
                libasound2-dev,
                libatk-bridge2.0-dev,
                libecal2.0-dev (>= 3.45),
                libedataserver1.2-dev (>= 3.45),
                libgcr-4-dev (>= 3.90.0),
-               libgjs-dev (>= 1.73.1),
+               libgjs-dev (>= 1.81.2),
                libgl1-mesa-dri <!nocheck>,
                libglib2.0-dev (>= 2.80),
                libgnome-autoar-0-dev,
@@ -45,8 +45,8 @@
                libgtk-4-dev,
                libibus-1.0-dev,
                libjson-glib-dev,
-               libmutter-17-dev (>= 49~alpha.1),
-               mutter-17-tests (>= 49~alpha.1) <!nocheck>,
+               libmutter-17-dev (>= 49~beta),
+               mutter-17-tests (>= 49~beta) <!nocheck>,
                libnm-dev [linux-any],
                libpipewire-0.3-dev (>= 0.3.49) [linux-any],
                libpolkit-agent-1-dev,
@@ -58,7 +58,7 @@
                libxml2-dev,
                mesa-common-dev,
                meson (>= 1.3.0),
-               mutter (>= 49~alpha.1) <!nocheck>,
+               mutter (>= 49~beta) <!nocheck>,
                pipewire <!nocheck>,
                pkgconf,
                python3-docutils,
@@ -70,7 +70,7 @@
                xwayland <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
-Homepage: https://wiki.gnome.org/Projects/GnomeShell
+Homepage: https://gitlab.gnome.org/GNOME/gnome-shell
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/latest
@@ -97,7 +97,7 @@
          gir1.2-gweather-4.0 (>= 4.1),
          gir1.2-freedesktop,
          gir1.2-ibus-1.0,
-         gir1.2-mutter-17 (>= 49~alpha.1),
+         gir1.2-mutter-17 (>= 49~beta),
          gir1.2-nm-1.0 [linux-any],
          gir1.2-nma4-1.0 (>= 1.10.4) [linux-any],
          gir1.2-pango-1.0,
@@ -105,11 +105,11 @@
          gir1.2-rsvg-2.0,
          gir1.2-soup-3.0,
          gir1.2-upowerglib-1.0,
-         gjs (>= 1.73.1),
+         gjs (>= 1.81.2),
          gnome-control-center (>= 1:46),
          gnome-settings-daemon (>= 47~rc),
          gnome-shell-common (= ${source:Version}),
-         gsettings-desktop-schemas (>= 48~beta),
+         gsettings-desktop-schemas (>= 49~alpha),
          gstreamer1.0-pipewire (>= 0.3.49) [linux-any],
          libglib2.0-bin (>= 2.80),
          python3,
@@ -166,7 +166,7 @@
 Architecture: linux-any
 Depends: gir1.2-adw-1,
          gir1.2-gtk-4.0,
-         gjs (>= 1.73.1),
+         gjs (>= 1.81.2),
          gnome-shell (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends},

## gnome-shell 49~beta.1

=== debian/changelog ===
gnome-shell (49~beta.1-0ubuntu3) questing; urgency=medium

  * Revert "d/p: Keep support being started via legacy desktop file"
    GNOME Shell now can start only via newer gnome-session (>= 49~beta), backed
    by systemd, but we do not depend on it technically, so it's just better to
    break that.
  * d/control: Add a Breaks on older gnome and ubuntu sessions.
    As per the fallback .desktop file removal, gnome shell requires newer
    gnome session or ubuntu session.
    However, this is not a dependency, so let's just instruct apt to update
    the shell together with a newer version of the session
  * d/p/ubuntu-authd: Do not fail verification on PAM error messages.
    We used to mimic the old behavior of gnome shell, by failing on any PAM
    error message, this is breaking PAM stacks where a module fails with a
    non-fatal error though, such as when a password change is required or
    when authd is not reachable for whatever reason. (LP: #2120634)
  * d/p/ubuntu/snapd-prompting-extension: Remove linting not required files.
    And also move the patch into the ubuntu namespace
  * d/p: Add more complete re-implementation of Gio.DesktopAppInfo
  * d/p: Cherry-pick upstream quicksettings connections to enterprise AP fix
    (LP: #2120331)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 20 Aug 2025 05:44:02 +0200

gnome-shell (49~beta.1-0ubuntu2) questing; urgency=medium

  * d/p: Add missing GDesktopAppIcon methods
  * d/p: Include gnome-shell snapd prompting extension

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 14 Aug 2025 20:21:29 +0200

gnome-shell (49~beta.1-0ubuntu1) questing; urgency=medium

  * New upstream release
  * d/p: Refresh
  * debian/control: Bump build dependencies
  * debian/patches: Cherry pick further upstream fixes
  * d/p: Fix include path for girepository headers

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 12 Aug 2025 04:56:37 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
-               gjs (>= 1.81.2),
+               gjs (>= 1.85.2),
                gir1.2-accountsservice-1.0 <!nocheck>,
                gir1.2-gcr-4-dev,
                gir1.2-gdkpixbuf-2.0-dev,
@@ -25,7 +25,6 @@
                gir1.2-upowerglib-1.0 <!nocheck>,
                gnome-control-center-dev,
                gnome-settings-daemon-common (>= 47~rc) <!nocheck>,
-               gobject-introspection (>= 1.80),
                gsettings-desktop-schemas-dev (>= 49~alpha),
                gtk-doc-tools,
                libasound2-dev,
@@ -33,9 +32,10 @@
                libecal2.0-dev (>= 3.45),
                libedataserver1.2-dev (>= 3.45),
                libgcr-4-dev (>= 3.90.0),
-               libgjs-dev (>= 1.81.2),
+               libgirepository-2.0-dev (>= 2.85.1),
+               libgjs-dev (>= 1.85.2),
                libgl1-mesa-dri <!nocheck>,
-               libglib2.0-dev (>= 2.80),
+               libglib2.0-dev (>= 2.85.1),
                libgnome-autoar-0-dev,
                libgnome-bluetooth-3.0-dev (>= 3.9.0) [linux-any],
                libgnome-desktop-4-dev (>= 40),
@@ -87,7 +87,7 @@
          gir1.2-gdkpixbuf-2.0,
          gir1.2-gdm-1.0 (>= 47.0-4~),
          gir1.2-geoclue-2.0,
-         gir1.2-glib-2.0 (>= 2.80),
+         gir1.2-glib-2.0 (>= 2.85.1),
          gir1.2-gnomebg-4.0,
          gir1.2-gnomebluetooth-3.0 (>= 42.3) [linux-any],
          gir1.2-gnomedesktop-4.0 (>= 40),
@@ -105,13 +105,13 @@
          gir1.2-rsvg-2.0,
          gir1.2-soup-3.0,
          gir1.2-upowerglib-1.0,
-         gjs (>= 1.81.2),
+         gjs (>= 1.85.2),
          gnome-control-center (>= 1:46),
          gnome-settings-daemon (>= 47~rc),
          gnome-shell-common (= ${source:Version}),
          gsettings-desktop-schemas (>= 49~alpha),
          gstreamer1.0-pipewire (>= 0.3.49) [linux-any],
-         libglib2.0-bin (>= 2.80),
+         libglib2.0-bin (>= 2.85.1),
          python3,
          tecla,
          ubuntu-wallpapers,
@@ -144,6 +144,8 @@
         gnome-shell-extension-top-icons-plus (<< 27-3~),
         gnome-shell-extension-workspaces-to-dock (<< 54~),
         gnome-shell-extensions (<< 40.0~),
+        gnome-session (<< 49~beta~),
+        ubuntu-session (<< 49~beta~),
         authd (<< 0.4.2~),
 Provides: notification-daemon,
           polkit-1-auth-agent
@@ -166,7 +168,7 @@
 Architecture: linux-any
 Depends: gir1.2-adw-1,
          gir1.2-gtk-4.0,
-         gjs (>= 1.81.2),
+         gjs (>= 1.85.2),
          gnome-shell (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends},

## gnome-shell 49~rc

=== debian/changelog ===
gnome-shell (49~rc-0ubuntu1) questing; urgency=medium

  * New upstream release:
    - Fix leak with custom themes (LP: #2121786)
    - Prefer physical scroll directions on sliders (LP: #1738676)
    - Use a clearer icon for active wifi connections without AP (LP: #2120734)
    - Use GioUnix for DesktopAppInfo (LP: #2120780)
  * d/p/ubuntu-authd:
    - Do not emit verification-complete signal.
      When the verification is completed from the authd side, the PAM stack
      that follows can still fail for some other reasons, so do not
      preemptively mark the verification as completed until we're really done.
      This is not a security issue since the signal is not leading to user
      access until the PAM stack is completed, but it may still make the shell
      to be in a wrong state in case the authentication does not complete.
    - Fix cancel handling with only one broker / auth method.
      In case only one broker (unlikely, but potentially possible) or an
      authentication method is available, the "go back" request did not work
      properly, so fix these cases by checking the current state
    - Cleanup the broker and auth mode selection.
      We can factorize some repeated code
    - Autoselect the first broker / auth mode if only received.
      If we only have one broker or an auth mode, it does not make sense to
      show a choice list, we can just proceed with it
    - Do not explicitly start an auth mechanism.
      Submitting a changed mechanisms list is enough to trigger the machinery
      to switch the default mechanism, since we already sort the mechanisms by
      their priority and gdm will pick them in order.
      Instead before we might ended up selecting the same mechanism twice
    - Do not re-start a challenge for the same auth mode.
      It may lead to cancelling the current one for no reason
    - Do not show intermediate UIs if uneeded
    - Never show the QR code intro button.
      It's just an unnecessary extra step for us
    - Do not wait for auto-selection while going back.
      As per previous commits we are now waiting for potential auto-selection
      to happen before asking the user to pick a choice, to prevent this to
      slow down the "going back" experience, we can ignore the timeout when
      going backwards, since there's no risk of auto-selection to happen
    - authPrompt preserve the text when switching entry visibility.
      Avoid replacing lockscreen password entry contents when visibility
      changes
    - Do not retry verification on explicit user cancellation.
      When going back (or hitting escape) key while authentication is in
      progress, once we've reached the initial stage, we can just mark the
      authentication as failed to avoid the default logic to retry until the
      max-retries are reached.
      This is something that authd handles internally, so we do not have any
      need for this
    - Do not reset the authentication at every lockscreen tap.
      Upstream code is affected by this bug that is more annoying in a
      MFA-setup, where just tapping the lockscreen may lead the authentication
      to be restarted.
      So stop this, by handling the tap event only when it matters
  * d/p: Use a better fix for the key-focus of the choice list
  * d/p: Drop patches, applied upstream
  * d/p: Refresh patch indexes
  * debian/control:
    - Update build dependencies
    - Require newer ubuntu mutter package version

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 03 Sep 2025 08:17:26 +0200

=== debian/control ===
--- 
+++ 
@@ -45,8 +45,8 @@
                libgtk-4-dev,
                libibus-1.0-dev,
                libjson-glib-dev,
-               libmutter-17-dev (>= 49~beta),
-               mutter-17-tests (>= 49~beta) <!nocheck>,
+               libmutter-17-dev (>= 49~rc-0ubuntu2),
+               mutter-17-tests (>= 49~rc) <!nocheck>,
                libnm-dev [linux-any],
                libpipewire-0.3-dev (>= 0.3.49) [linux-any],
                libpolkit-agent-1-dev,
@@ -54,11 +54,12 @@
                libsecret-1-dev,
                libsystemd-dev [linux-any],
                libx11-dev,
+               libxext-dev,
                libxfixes-dev,
                libxml2-dev,
                mesa-common-dev,
                meson (>= 1.3.0),
-               mutter (>= 49~beta) <!nocheck>,
+               mutter (>= 49~rc) <!nocheck>,
                pipewire <!nocheck>,
                pkgconf,
                python3-docutils,
@@ -97,7 +98,7 @@
          gir1.2-gweather-4.0 (>= 4.1),
          gir1.2-freedesktop,
          gir1.2-ibus-1.0,
-         gir1.2-mutter-17 (>= 49~beta),
+         gir1.2-mutter-17 (>= 49~rc),
          gir1.2-nm-1.0 [linux-any],
          gir1.2-nma4-1.0 (>= 1.10.4) [linux-any],
          gir1.2-pango-1.0,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@ --with bash_completion

CONFFLAGS =

ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFFLAGS += \
	-Dnetworkmanager=true \
	-Dsystemd=true
endif

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
CONFFLAGS += -Dtests=true
else
CONFFLAGS += -Dtests=false
endif

ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
CONFFLAGS += --cross-file=$(DEB_HOST_GNU_TYPE)-gobject-introspection.ini
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		--libdir=/usr/lib \
		-Dportal_helper=false \
		-Dextensions-tool:bash_completion=enabled \
		$(CONFFLAGS)

execute_before_dh_auto_build:
	# Regenerate the css files before building
	env MESON_SOURCE_ROOT=$(CURDIR) MESON_DIST_ROOT=$(CURDIR) \
		python3 build-aux/generate-stylesheets.py

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/gnome-shell/

override_dh_shlibdeps:
	# gnome-shell uses mutters private mutter-clutter-1.0.so etc.
	dh_shlibdeps -l"usr/lib/$(DEB_HOST_MULTIARCH)/mutter"

# Upstream test timeouts assume an otherwise unloaded system, but that
# isn't necessarily the case for a porterbox or multiple parallel builds.
# Keep the timeout reasonably short for architectures where interactive
# debugging is more likely, but extend it a lot on architectures that might
# be very slow or using qemu for buildds.
ifneq ($(filter amd64 i386,$(DEB_HOST_ARCH_CPU)),)
test_timeout_multiplier = 3
else
test_timeout_multiplier = 20
endif

meson_test_options = --timeout-multiplier $(test_timeout_multiplier)

ifneq ($(filter mips64el riscv64,$(DEB_HOST_ARCH_CPU)),)
# gnome-shell on mips64el works on a real GPU (in practice usually an
# AMD GPU), but crashes when using llvmpipe or softpipe, which is all that
# is available on the buildds, so we only run the unit tests at build time
# and skip the tests that would run the whole Shell. See discussion in
# https://salsa.debian.org/gnome-team/gnome-shell/-/merge_requests/71
meson_test_options += --no-suite shell
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	env XDG_CACHE_HOME="$(shell mktemp -d -t cache-XXXXXXXX)" \
	dbus-run-session xvfb-run -a dh_auto_test -- $(meson_test_options)
endif

override_dh_gnome_clean:

## gnome-shell 49.0

=== subprojects/extensions-app/meson_options.txt ===
option('package_name',
  type: 'string',
  description: 'The gettext domain name',
)
option('profile',
  type: 'combo',
  choices: [
    'default',
    'development'
  ],
  value: 'default'
)

=== debian/changelog ===
gnome-shell (49.0-1ubuntu1) questing; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Drop applied upstream
  * debian/patches: Refresh
  * d/tests/control: Use a more robust xvfb-run command-line

  [ Simon McVittie ]
  * d/p/slider-Use-the-sprite-of-the-touch-event-not-the-pointer.patch:
    Add patch from upstream to fix a UI freeze when touching quick menu
    sliders (volume, brightness) on a touchscreen (LP: #2125013)
  * d/rules: Use a more robust xvfb-run command-line in tests

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 24 Sep 2025 18:23:55 +0200

gnome-shell (49.0-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Bump minimum glib and mutter

  [ Marco Trevisan (Treviño) ]
  * debian/control: Bump build dependencies
  * d/control: Add a Breaks on older gnome session
  * debian/tests:
    - Add autopkgtests for GNOME Shell
    - Run tests on the installed gnome-shell.
      Run the autopkgtests running the upstream-provided test scripts using
      the gnome-shell in the archive installed as it is.
      When in ubuntu, we are also using the ubuntu profile.
  * debian/salsa-ci: Enable i386 autopkg-tests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 16 Sep 2025 20:49:15 -0400

gnome-shell (49~rc-0ubuntu2) questing; urgency=medium

  * debian/patch: Add fix for brightness manager handle globalScale
  * debian/control: Require glib 2.86.0 as build dependency
    While it's technically not a build dependency, if we build with older
    GNOME shell, we end up generating a Shell typelib that refers to
    DesktopAppInfo symbols inside Gio, rather than in GioUnix and this
    causes an immediate crash as soon as we try to get an appInfo from a
    shell application in JS
  * debian: Bump dependencies on GLib and gjs
  * d/p: Add patches to fix tests compilation dependencies
  * debian/tests: Add autopkgtests for GNOME Shell
  * debian/tests: Run tests on the installed gnome-shell.
    Run the autopkgtests running the upstream-provided test scripts using
    the gnome-shell in the archive installed as it is.
    When in ubuntu, we are also using the ubuntu profile.
  * debian/tests/control: Install the ubuntu shell extensions in shell tests.
    When running the shell tests also install the ubuntu extensions, so that
    we can ensure that they are not breaking anything relevant.
    We are not checking (yet) if the extensions are working, but a test for
    this can be added at later point
  * debian/tests/control: Ignore i386 on ubuntu
  * d/p/prompting-extension: Improve error if snap application PID has not
    been found

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 12 Sep 2025 18:34:30 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
-               gjs (>= 1.85.2),
+               gjs (>= 1.85.90),
                gir1.2-accountsservice-1.0 <!nocheck>,
                gir1.2-gcr-4-dev,
                gir1.2-gdkpixbuf-2.0-dev,
@@ -32,10 +32,10 @@
                libecal2.0-dev (>= 3.45),
                libedataserver1.2-dev (>= 3.45),
                libgcr-4-dev (>= 3.90.0),
-               libgirepository-2.0-dev (>= 2.85.1),
-               libgjs-dev (>= 1.85.2),
+               libgirepository-2.0-dev (>= 2.86.0),
+               libgjs-dev (>= 1.85.90),
                libgl1-mesa-dri <!nocheck>,
-               libglib2.0-dev (>= 2.85.1),
+               libglib2.0-dev (>= 2.86.0),
                libgnome-autoar-0-dev,
                libgnome-bluetooth-3.0-dev (>= 3.9.0) [linux-any],
                libgnome-desktop-4-dev (>= 40),
@@ -45,8 +45,8 @@
                libgtk-4-dev,
                libibus-1.0-dev,
                libjson-glib-dev,
-               libmutter-17-dev (>= 49~rc-0ubuntu2),
-               mutter-17-tests (>= 49~rc) <!nocheck>,
+               libmutter-17-dev (>= 49.0),
+               mutter-17-tests (>= 49.0) <!nocheck>,
                libnm-dev [linux-any],
                libpipewire-0.3-dev (>= 0.3.49) [linux-any],
                libpolkit-agent-1-dev,
@@ -59,7 +59,7 @@
                libxml2-dev,
                mesa-common-dev,
                meson (>= 1.3.0),
-               mutter (>= 49~rc) <!nocheck>,
+               mutter (>= 49.0) <!nocheck>,
                pipewire <!nocheck>,
                pkgconf,
                python3-docutils,
@@ -88,7 +88,7 @@
          gir1.2-gdkpixbuf-2.0,
          gir1.2-gdm-1.0 (>= 47.0-4~),
          gir1.2-geoclue-2.0,
-         gir1.2-glib-2.0 (>= 2.85.1),
+         gir1.2-glib-2.0 (>= 2.86.0),
          gir1.2-gnomebg-4.0,
          gir1.2-gnomebluetooth-3.0 (>= 42.3) [linux-any],
          gir1.2-gnomedesktop-4.0 (>= 40),
@@ -98,7 +98,7 @@
          gir1.2-gweather-4.0 (>= 4.1),
          gir1.2-freedesktop,
          gir1.2-ibus-1.0,
-         gir1.2-mutter-17 (>= 49~rc),
+         gir1.2-mutter-17 (>= 49.0),
          gir1.2-nm-1.0 [linux-any],
          gir1.2-nma4-1.0 (>= 1.10.4) [linux-any],
          gir1.2-pango-1.0,
@@ -106,13 +106,13 @@
          gir1.2-rsvg-2.0,
          gir1.2-soup-3.0,
          gir1.2-upowerglib-1.0,
-         gjs (>= 1.85.2),
+         gjs (>= 1.85.90),
          gnome-control-center (>= 1:46),
          gnome-settings-daemon (>= 47~rc),
          gnome-shell-common (= ${source:Version}),
          gsettings-desktop-schemas (>= 49~alpha),
          gstreamer1.0-pipewire (>= 0.3.49) [linux-any],
-         libglib2.0-bin (>= 2.85.1),
+         libglib2.0-bin (>= 2.86.0),
          python3,
          tecla,
          ubuntu-wallpapers,
@@ -169,7 +169,7 @@
 Architecture: linux-any
 Depends: gir1.2-adw-1,
          gir1.2-gtk-4.0,
-         gjs (>= 1.85.2),
+         gjs (>= 1.85.90),
          gnome-shell (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -68,7 +68,9 @@
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	env XDG_CACHE_HOME="$(shell mktemp -d -t cache-XXXXXXXX)" \
-	dbus-run-session xvfb-run -a dh_auto_test -- $(meson_test_options)
+	dbus-run-session -- \
+	xvfb-run -a -e /proc/self/fd/2 -s '-noreset -screen 0 1280x1024x24' \
+	dh_auto_test -- $(meson_test_options)
 endif
 
 override_dh_gnome_clean:

=== debian/tests/control ===
Tests: build-and-test
Depends: @builddeps@
Architecture: !i386
Restrictions: allow-stderr

Tests: shell-tests
Classes: desktop
Architecture: !i386
# FIXME: We only actually depend on fewer components, but
# until upstream does not support properly installed tests, we need
# to generate few tools first.
Depends: @builddeps@,
         gnome-shell,
         gnome-shell-ubuntu-extensions,
Restrictions: allow-stderr skippable

## gnome-shell 49.1

=== debian/changelog ===
gnome-shell (49.1-5) unstable; urgency=high

  * autopkgtest: Don't run shell tests for build-and-test
    since they're already being run separately

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 02 Nov 2025 07:40:33 -0500

gnome-shell (49.1-4) unstable; urgency=high

  * autopkgtest: don't run shell tests on riscv64 since we don't during
    build tests
  * Bump minimum gnome-settings-daemon to 49

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 01 Nov 2025 19:36:23 -0400

gnome-shell (49.1-2) unstable; urgency=medium

  * Team upload
  * Release to unstable (transition: #1116394)

 -- Simon McVittie <smcv@debian.org>  Fri, 31 Oct 2025 11:18:17 +0000

gnome-shell (49.1-1) experimental; urgency=medium

  * Team upload
  * New upstream stable release
    - Drop patch that was included in the release
  * Merge packaging changes from unstable (no functional change)
  * Update Lintian overrides

 -- Simon McVittie <smcv@debian.org>  Wed, 15 Oct 2025 13:48:33 +0100

gnome-shell (49.0-2) experimental; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * d/p/slider-Use-the-sprite-of-the-touch-event-not-the-pointer.patch:
    Add patch from upstream to fix a UI freeze when touching quick menu
    sliders (volume, brightness) on a touchscreen (LP: #2125013)
  * Merge packaging changes from unstable
    - d/rules: Use a more robust xvfb-run command-line (Mitigates: #981201)
    - Revert other changes from 48.5-2, no longer relevant in experimental

  [ Marco Trevisan (Treviño) ]
  * d/tests/shell-tests: Use a more robust xvfb-run command-line here, too

 -- Simon McVittie <smcv@debian.org>  Fri, 26 Sep 2025 18:37:05 +0100

gnome-shell (48.5-3) unstable; urgency=medium

  * Team upload
  * Revert "Generate a versioned dependency for the GLib 2.86 transition"
  * Bump glib2.0 dependency to 2.86 unconditionally (part of #1115340)

 -- Simon McVittie <smcv@debian.org>  Mon, 13 Oct 2025 15:22:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gnome-shell
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: appstream,
                bash-completion,
@@ -24,7 +23,7 @@
                gir1.2-rsvg-2.0 <!nocheck>,
                gir1.2-upowerglib-1.0 <!nocheck>,
                gnome-control-center-dev,
-               gnome-settings-daemon-common (>= 47~rc) <!nocheck>,
+               gnome-settings-daemon-common (>= 49) <!nocheck>,
                gsettings-desktop-schemas-dev (>= 49~alpha),
                gtk-doc-tools,
                libasound2-dev,
@@ -65,17 +64,13 @@
                python3-docutils,
                sassc,
                systemd-dev [linux-any],
-               terser,
                xauth <!nocheck>,
                xvfb <!nocheck>,
                xwayland <!nocheck>
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://gitlab.gnome.org/GNOME/gnome-shell
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/latest
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/ubuntu/latest
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
 
 Package: gnome-shell
 Architecture: linux-any
@@ -108,20 +103,20 @@
          gir1.2-upowerglib-1.0,
          gjs (>= 1.85.90),
          gnome-control-center (>= 1:46),
-         gnome-settings-daemon (>= 47~rc),
+         gnome-settings-daemon (>= 49),
          gnome-shell-common (= ${source:Version}),
          gsettings-desktop-schemas (>= 49~alpha),
          gstreamer1.0-pipewire (>= 0.3.49) [linux-any],
          libglib2.0-bin (>= 2.86.0),
          python3,
          tecla,
-         ubuntu-wallpapers,
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: bolt,
             evolution-data-server (>= 3.45),
             gdm3,
+            gnome-browser-connector,
             gnome-remote-desktop,
             gnome-menus,
             gnome-user-docs,
@@ -129,12 +124,10 @@
             iio-sensor-proxy,
             power-profiles-daemon,
             switcheroo-control,
-            ubuntu-session | gnome-session,
             unzip
 Suggests: gir1.2-malcontent-0 [linux-any],
           gir1.2-telepathyglib-0.12,
           gir1.2-telepathylogger-0.2,
-          gnome-browser-connector,
           gnome-shell-extension-prefs,
 Breaks: gnome-shell-extension-appindicator (<< 50),
         gnome-shell-extension-dash-to-panel (<< 55),
@@ -146,8 +139,6 @@
         gnome-shell-extension-workspaces-to-dock (<< 54~),
         gnome-shell-extensions (<< 40.0~),
         gnome-session (<< 49~beta~),
-        ubuntu-session (<< 49~beta~),
-        authd (<< 0.4.2~),
 Provides: notification-daemon,
           polkit-1-auth-agent
 Description: graphical shell for the GNOME desktop
@@ -161,7 +152,6 @@
 Package: gnome-shell-common
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: yaru-theme-gnome-shell (>= 25.04)
 Description: common files for the GNOME graphical shell
  This package contains translations and data files for the GNOME shell.

=== debian/rules ===
--- 
+++ 
@@ -31,11 +31,6 @@
 		-Dextensions-tool:bash_completion=enabled \
 		$(CONFFLAGS)
 
-execute_before_dh_auto_build:
-	# Regenerate the css files before building
-	env MESON_SOURCE_ROOT=$(CURDIR) MESON_DIST_ROOT=$(CURDIR) \
-		python3 build-aux/generate-stylesheets.py
-
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/gnome-shell/
 
@@ -63,6 +58,8 @@
 # and skip the tests that would run the whole Shell. See discussion in
 # https://salsa.debian.org/gnome-team/gnome-shell/-/merge_requests/71
 meson_test_options += --no-suite shell
+else ifneq ($(filter mips64el riscv64,$(AUTOPKGTEST_TEST_ARCH)),)
+meson_test_options += --no-suite shell
 endif
 
 override_dh_auto_test:

=== debian/tests/control ===
Tests: build-and-test
Depends: @builddeps@
Restrictions: allow-stderr

Tests: shell-tests
Classes: desktop
# FIXME: We only actually depend on fewer components, but
# until upstream does not support properly installed tests, we need
# to generate few tools first.
Depends: @builddeps@,
         gnome-shell,
Architecture: !riscv64
Restrictions: allow-stderr skippable

## gnome-shell 49.2

=== debian/changelog ===
gnome-shell (49.2-2kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 19 Jan 2026 16:06:38 +0100

gnome-shell (49.2-2) unstable; urgency=medium

  * Add Build-Depends: libxml2-utils for xmllint
  * Remove direct Build-Depends: dbus
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 25 Dec 2025 20:49:01 -0500

gnome-shell (49.2-1kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 09 Dec 2025 08:56:11 +0100

gnome-shell (49.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Mon, 24 Nov 2025 16:37:36 +0000

gnome-shell (49.1-5kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 10 Nov 2025 07:34:03 +0100

gnome-shell (49.1-1kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 21 Oct 2025 14:08:19 +0200

gnome-shell (48.4-1+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Arnaud Rebillout <arnaudr@debian.org>  Mon, 18 Aug 2025 09:43:57 +0700

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: gnome-shell
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
+XSBC-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Daniel Ruiz de Alegría <daniruiz@kali.org>,
 Build-Depends: appstream,
                bash-completion,
-               dbus-daemon <!nocheck>,
                debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -45,6 +45,7 @@
                libibus-1.0-dev,
                libjson-glib-dev,
                libmutter-17-dev (>= 49.0),
+               libxml2-utils,
                mutter-17-tests (>= 49.0) <!nocheck>,
                libnm-dev [linux-any],
                libpipewire-0.3-dev (>= 0.3.49) [linux-any],
@@ -67,10 +68,12 @@
                xauth <!nocheck>,
                xvfb <!nocheck>,
                xwayland <!nocheck>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://gitlab.gnome.org/GNOME/gnome-shell
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
+Vcs-Git: https://gitlab.com/kalilinux/packages/gnome-shell.git
+Vcs-Browser: https://gitlab.com/kalilinux/packages/gnome-shell
 
 Package: gnome-shell
 Architecture: linux-any
@@ -110,7 +113,6 @@
          libglib2.0-bin (>= 2.86.0),
          python3,
          tecla,
-         ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: bolt,
@@ -161,9 +163,7 @@
          gir1.2-gtk-4.0,
          gjs (>= 1.85.90),
          gnome-shell (= ${binary:Version}),
-         ${gir:Depends},
          ${misc:Depends},
-         ${shlibs:Depends}
 Provides: gnome-extensions-app
 Recommends: gnome-browser-connector
 Description: tool to enable / disable GNOME Shell extensions

## gnome-shell 49.3

=== debian/changelog ===
gnome-shell (49.3-2kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 12 Feb 2026 10:30:16 +0100

gnome-shell (49.3-2) unstable; urgency=medium

  * Team upload
  * d/patches/libgvc: Update libgvc to prevent crashes with newer Pipewire.
    This updates it to 47c47a42 (2026-01-23) which is the latest version,
    and the version currently used in gnome-shell's main branch.
    (Closes: #1126514)
  * d/watch: Convert to v5 format
  * Update Lintian overrides

 -- Simon McVittie <smcv@debian.org>  Wed, 28 Jan 2026 13:25:18 +0000

gnome-shell (49.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/p/Revert-main-Register-session-with-GDM-on-startup.patch:
    Revert a change that shouldn't have been backported to 49.x.
    Upstream suggested this as a possible trigger for regressions in
    modesetting during first login on some systems (the regression seems to
    be specific to AMD GPUs, but not all AMD GPUs are affected) and it
    seems that it was developed for v50, under the assumption that gdm3
    changes from v50 would be present.
    For whatever reason (possibly timing-dependent), this was reported
    in Debian 13 but not in testing/unstable.
    (Closes: #1125941, #1125273, #1125275, #1126174)
  * d/control: Reinstate direct Build-Depends on the dbus-daemon package.
    gnome-shell's test suite explicitly invokes dbus-run-session, which
    is in the dbus-daemon package. If the dependency had been on dbus, that
    would have been incompatible with dbus-broker, but a test dependency
    on dbus-daemon is fine.
  * d/patches/series: Sort with closest-to-upstream first.
    No functional change.

 -- Simon McVittie <smcv@debian.org>  Tue, 27 Jan 2026 16:42:32 +0000

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Uploaders: Daniel Ruiz de Alegría <daniruiz@kali.org>,
 Build-Depends: appstream,
                bash-completion,
+               dbus-daemon <!nocheck>,
                debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 endif
 
 override_dh_auto_configure:
+	rm -f data/theme/gnome-shell*.css
 	dh_auto_configure -- \
 		--libdir=/usr/lib \
 		-Dportal_helper=false \
@@ -70,4 +71,5 @@
 	dh_auto_test -- $(meson_test_options)
 endif
 
-override_dh_gnome_clean:
+# Skip. We only use dh_gnome for dh_translations for Ubuntu
+override_dh_gnome:

## gnome-shell 49.4

=== debian/changelog ===
gnome-shell (49.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop patches that were included in the new release
  * d/p/mixer-control-Only-stream-id-for-bluetooth-devices-only.patch:
    Add patch from libgvc to fix a regression for non-Bluetooth devices

 -- Simon McVittie <smcv@debian.org>  Mon, 16 Feb 2026 19:59:30 +0000

gnome-shell (49.3-3) unstable; urgency=medium

  * d/control, d/gbp.conf: Branch for 49.x.
    The debian/latest branch is now being used to package v50 for
    experimental.
  * d/patches: Mark libgvc update as included in 49.4
  * d/patches: Update to commit 49.3-27-g7e2619acb.
    This incorporates most of the bug fixes backported from 50.beta or
    earlier that will be in 49.4. I've excluded changes from
    upstream gnome-shell!4058 for now, since those want a newer version of
    mutter and will log warnings until we have one.
    - Update libgvc again, fixing duplicate audio devices and a memory leak
    - Fix a memory leak when progress spinners are destroyed
    - In the app grid, only create default folders on first startup
    - Allow tab-to-focus in the quick settings menu
    - Fix inconsistent padding in the message list
    - When prompting for a password, tell ibus whether the text is hidden
      or visible, so it can hide preedit text when appropriate
    - Avoid misleading stack traces and possible crashes when a warning is
      emitted from a background thread
    - Improve handling of invalid positions in touchscreen swipe tracking
    - In gdm, show authentication messages for at least 2 seconds,
      even if they are a very short string like "PIN locked"
    - In gdm, ensure that we proceed to the session when authentication
      fails but then succeeds
    - In gdm, reset correctly if the user verifier connection is closed
    - Consistently use one-shot idle and timeout functions where appropriate
    - Translation updates: cs, el, kk, th

 -- Simon McVittie <smcv@debian.org>  Mon, 09 Feb 2026 10:10:03 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: gnome-shell
 Section: gnome
-Priority: optional
-XSBC-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Daniel Ruiz de Alegría <daniruiz@kali.org>,
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: appstream,
                bash-completion,
                dbus-daemon <!nocheck>,
@@ -71,10 +69,8 @@
                xwayland <!nocheck>
 Standards-Version: 4.7.3
 Homepage: https://gitlab.gnome.org/GNOME/gnome-shell
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
-Vcs-Git: https://gitlab.com/kalilinux/packages/gnome-shell.git
-Vcs-Browser: https://gitlab.com/kalilinux/packages/gnome-shell
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b debian/forky
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
 
 Package: gnome-shell
 Architecture: linux-any

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,6 @@
 endif
 
 override_dh_auto_configure:
-	rm -f data/theme/gnome-shell*.css
 	dh_auto_configure -- \
 		--libdir=/usr/lib \
 		-Dportal_helper=false \
